/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef MHDateChart_h
#define MHDateChart_h

#include <MHChart.h>
#include <MHDate.h>
#include <MHString.h>
#include <MHVector.h>



/**
*  MHDatechart is a chart object for time series.
*/
class MHDateChart : public MHChart {
public:
    enum SETTINGS {
                            LINE_CHART = 1,
                            BAR_CHART,
                            RECT_CHART,
                            VERT_CHART,
                            END_SETTINGS,
    };


                            MHDateChart ();
    virtual                 ~MHDateChart();

    bool                    AddData (const char* name, int type, MHVector* ve, int align);
    const char*             Class () {return "MHDateChart";}
    void                    Clear ();
    virtual void            Debug ();
    MHVector*               GetClosed () {return aClosed;}
    void                    GetDateRange (MHString* startDate, MHString* stopDate) {*startDate = aXMinDate; *stopDate = aXMaxDate; aRangeMax = aOrgSize;}
    MHString*               GetMaxDate () {return &aXMaxDate;}
    MHString*               GetMinDate () {return &aXMinDate;}
    void                    DrawChart (int nIndex, int nColor);
    void                    DrawXLabels ();
    int                     GetMinMax();
    void                    PopDates () {aXMaxDate = aXOrgMaxDate; aXMinDate = aXOrgMinDate;};
    bool                    QueryLeft (int x, int y, MHPoint* p);
    bool                    QueryRight (int x, int y, MHPoint* p);
    void                    SetBlockList (MHVector* ve);
    void                    SetDateRange(const char* startDate, const char* stopDate);
    void                    SetTimeSerie (MHVector* ve) {aDates = ve; aRangeMax = aDates->Size();}

private:
    MHString                aXMaxDate;
    MHString                aXMinDate;
    MHString                aXOrgMaxDate;
    MHString                aXOrgMinDate;
    MHVector*               aDates;
    MHVector*               aClosed;
};

#endif
