/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#include "Fl_Find.h"
#include "Fl_Defines.h"
#include <stdio.h>
#include <string.h>



/**
*  Create a search word dialog
*  @param MHVector* - Vector with selection strings
*/
Fl_Find::Fl_Find () :
Fl_Dialog (450, 65, "Enter Search Word") {
    Fl_Window* o = this;

    o->box(FL_UP_BOX);
    o->color(FL_BACKGROUND_COLOR);
    o->selection_color(FL_BACKGROUND_COLOR);
    o->labeltype(FL_NO_LABEL);
    o->labelfont(0);
    o->labelsize(14);
    o->labelcolor(FL_BLACK);
    o->align(FL_ALIGN_TOP);
    o->when(FL_WHEN_NEVER);
    { Fl_Input* o = aInput = new Fl_Input(10, 5, 430, 25);
      o->labelfont(1);
      o->align(FL_ALIGN_TOP_LEFT);
      o->when(FL_WHEN_CHANGED);
    }
    aFind = new Fl_Return_Button(10, 35, 140, 25, "&Find");
    aCase = new Fl_Button(160, 35, 150, 25, "Find C&ase Sensitive");
    aCancel = new Fl_Button(320, 35, 120, 25, "&Cancel");
    o->end();

    aCancel->callback (Fl_Dialog::cb1_, this);
    aCase->callback (Fl_Dialog::cb2_, this);
    aFind->callback (Fl_Dialog::cb3_, this);
}
