/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef Controller_h
#define Controller_h

#include <download/BaseDownload.h>



/**
*  Controll object for downloading data from network
*/
class Controller {
public:
    enum ACTION {
                            SAVE = 1,
                            UPDATE_SAVE
    };

                            Controller ();
    virtual                 ~Controller ();

    bool                    IsAborted () {return aCancel;}
    bool                    IsDone () {return aDone;}
    bool                    IsOK () {return aStatus;}
    void                    SetParams (MHVector* sets, BaseDownload* load, BaseDownload::TYPE type, const char* startDate, const char* stopDate, Controller::ACTION action, const char* fileName);
    bool                    Start ();

private:
    bool                    aCancel;
    bool                    aStatus;
    bool                    aDone;
    Controller*             aCtrl;
    MHVector*               aSets;
    BaseDownload*           aLoad;
    BaseDownload::TYPE      aType;
    Controller::ACTION      aAction;
    const char*             aStartDate;
    const char*             aStopDate;
    const char*             aFileName;

    MHVector                aItems;
    MHVector*               aPrices;
};

#endif
