/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef PrefPriceChartData_h
#define PrefPriceChartData_h

#include <table/BaseData.h>
#include <MHString.h>

class MHVector;



/**
*  Supply data for editing price chart preferences to the table widget.
*  Get data from database.
*/
class PrefPriceChartData : public BaseData {
public:
                            PrefPriceChartData (int view);
                            ~PrefPriceChartData ();

    Fl_Align                align (int row, int col);
    Fl_Boxtype              box (int row, int col) {if (col == 0) return FL_UP_BOX; else return Fl_Table_Data::box (row, col);}
    Fl_Color                boxcolor (int row, int col) {if (col == 0) return FL_GRAY; else return Fl_Table_Data::boxcolor (row, col);}
    const char*             Class () {return "PrefPriceChartData";}
    const char**            choice (int row, int col, int& size, int& selected, char* label);
    int                     cols() {return 2;}
    FL_TABLE_EDITOR         editor_type (int row, int col, bool force_custom);
    void                    reload (const char* message);
    int                     rows() {return 19;}
    bool                    value (const char* data, int row, int col);
    const char*             value (int row, int col);
    int                     width (int col);

private:
    int                     aView;
    int                     aModels;
    char                    aBuffer[1000];
    char**                  aChoiceLayout;
    char**                  aChoiceModels;
    char**                  aChoiceSecurity;
    MHVector*               aVectorSecurity;

    void                    setWindowKey (int row, int type);
};

#endif
